Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Use of 3.x plugins in e4
Use of 3.x plugins in e4 [message #690512] Wed, 29 June 2011 15:59 Go to next message
Matthias Steigenberger is currently offline Matthias Steigenberger
Messages: 6
Registered: June 2011
Junior Member
Hi,

I've searched the internet how to use 3.x plugins in an e4 app but i found no suitable answer. In particular i'd like to use org.eclipse.ui.console which uses PlatformUI Singleton. Is there any documentation on that?
Many Documents covers compatibility e.g. httpx://wiki.eclipse.org/E4/Compatibility/Running_the_compatibility_layer
but I can't find an answer. I hope somebody can help me. I really like to use e4 in our new Application but the decision depends on this issue.

Thanks for your help!

Regards,
Matthias
Re: Use of 3.x plugins in e4 [message #690942 is a reply to message #690512] Thu, 30 June 2011 13:00 Go to previous messageGo to next message
Matthias Steigenberger is currently offline Matthias Steigenberger
Messages: 6
Registered: June 2011
Junior Member
I got it! I used the wrong org.eclipse.ui.workbench plugin.
The one from e4 has the version number 3.101.0
Re: Use of 3.x plugins in e4 [message #698425 is a reply to message #690942] Tue, 19 July 2011 13:01 Go to previous message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

Yes, o.e.ui.workbench *is* our compatibility layer, and so if you build on top of 4.1 including org.eclipse.ui you can pick up standard 3.x plugins (as long as you satisfy their dependencies). But you will be running a 3.x RCP app hosted on the compatibility layer (as opposed to an Eclipse4 app hosting a compatibility plugin).

PW


Previous Topic:XWT - ATL
Next Topic:@UIEventTopic parameter?
Goto Forum:
  


Current Time: Tue Oct 21 05:37:36 GMT 2014

Powered by FUDForum. Page generated in 0.02922 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software